Axis2/C: options

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# options
[client API]

## Files
file | axis2_options.h
## Defines
#define | AXIS2_DEFAULT_TIMEOUT_MILLISECONDS 30000
#define | AXIS2_TIMEOUT_IN_SECONDS "time_out"
#define | AXIS2_COPY_PROPERTIES "copy_properties"
## Typedefs
typedef struct axis2_options | axis2_options_t
## Functions
AXIS2_EXTERN const axis2_char_t * | axis2_options_get_action (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN axis2_endpoint_ref_t * | axis2_options_get_fault_to (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN axis2_endpoint_ref_t * | axis2_options_get_from (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN axis2_transport_receiver_t * | axis2_options_get_transport_receiver (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN axis2_transport_in_desc_t * | axis2_options_get_transport_in (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN AXIS2_TRANSPORT_ENUMS | axis2_options_get_transport_in_protocol (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN const axis2_char_t * | axis2_options_get_message_id (const axis2_options_t *options_t, const axutil_env_t *env)
AXIS2_EXTERN axutil_hash_t * | axis2_options_get_properties (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN void * | axis2_options_get_property (const axis2_options_t *options, const axutil_env_t *env, const axis2_char_t *key)
AXIS2_EXTERN axis2_relates_to_t * | axis2_options_get_relates_to (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN axis2_endpoint_ref_t * | axis2_options_get_reply_to (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN axis2_transport_out_desc_t * | axis2_options_get_transport_out (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN AXIS2_TRANSPORT_ENUMS | axis2_options_get_sender_transport_protocol (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN const axis2_char_t * | axis2_options_get_soap_version_uri (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN long | axis2_options_get_timeout_in_milli_seconds (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN axis2_endpoint_ref_t * | axis2_options_get_to (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_options_get_use_separate_listener (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN axis2_options_t * | axis2_options_get_parent (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_options_set_parent (axis2_options_t *options, const axutil_env_t *env, const axis2_options_t *parent)
AXIS2_EXTERN axis2_status_t | axis2_options_set_action (axis2_options_t *options, const axutil_env_t *env, const axis2_char_t *action)
AXIS2_EXTERN axis2_status_t | axis2_options_set_fault_to (axis2_options_t *options, const axutil_env_t *env, axis2_endpoint_ref_t *fault_to)
AXIS2_EXTERN axis2_status_t | axis2_options_set_from (axis2_options_t *options, const axutil_env_t *env, axis2_endpoint_ref_t *from)
AXIS2_EXTERN axis2_status_t | axis2_options_set_to (axis2_options_t *options, const axutil_env_t *env, axis2_endpoint_ref_t *to)
AXIS2_EXTERN axis2_status_t | axis2_options_set_transport_receiver (axis2_options_t *options, const axutil_env_t *env, axis2_transport_receiver_t *receiver)
AXIS2_EXTERN axis2_status_t | axis2_options_set_transport_in (axis2_options_t *options, const axutil_env_t *env, axis2_transport_in_desc_t *transport_in)
AXIS2_EXTERN axis2_status_t | axis2_options_set_transport_in_protocol (axis2_options_t *options, const axutil_env_t *env, const AXIS2_TRANSPORT_ENUMS transport_in_protocol)
AXIS2_EXTERN axis2_status_t | axis2_options_set_message_id (axis2_options_t *options, const axutil_env_t *env, const axis2_char_t *message_id)
AXIS2_EXTERN axis2_status_t | axis2_options_set_properties (axis2_options_t *options, const axutil_env_t *env, axutil_hash_t *properties)
AXIS2_EXTERN axis2_status_t | axis2_options_set_property (axis2_options_t *options, const axutil_env_t *env, const axis2_char_t *property_key, const void *property)
AXIS2_EXTERN axis2_status_t | axis2_options_set_relates_to (axis2_options_t *options, const axutil_env_t *env, axis2_relates_to_t *relates_to)
AXIS2_EXTERN axis2_status_t | axis2_options_set_reply_to (axis2_options_t *options, const axutil_env_t *env, axis2_endpoint_ref_t *reply_to)
AXIS2_EXTERN axis2_status_t | axis2_options_set_transport_out (axis2_options_t *options, const axutil_env_t *env, axis2_transport_out_desc_t *transport_out)
AXIS2_EXTERN axis2_status_t | axis2_options_set_sender_transport (axis2_options_t *options, const axutil_env_t *env, const AXIS2_TRANSPORT_ENUMS sender_transport, axis2_conf_t *conf)
AXIS2_EXTERN axis2_status_t | axis2_options_set_soap_version_uri (axis2_options_t *options, const axutil_env_t *env, const axis2_char_t *soap_version_uri)
AXIS2_EXTERN axis2_status_t | axis2_options_set_timeout_in_milli_seconds (axis2_options_t *options, const axutil_env_t *env, const long timeout_in_milli_seconds)
AXIS2_EXTERN axis2_status_t | axis2_options_set_transport_info (axis2_options_t *options, const axutil_env_t *env, const AXIS2_TRANSPORT_ENUMS sender_transport, const AXIS2_TRANSPORT_ENUMS receiver_transport, const axis2_bool_t use_separate_listener)
AXIS2_EXTERN axis2_status_t | axis2_options_set_use_separate_listener (axis2_options_t *options, const axutil_env_t *env, const axis2_bool_t use_separate_listener)
AXIS2_EXTERN axis2_status_t | axis2_options_add_reference_parameter (axis2_options_t *options, const axutil_env_t *env, axiom_node_t *reference_parameter)
AXIS2_EXTERN axis2_bool_t | axis2_options_get_manage_session (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_options_set_manage_session (axis2_options_t *options, const axutil_env_t *env, const axis2_bool_t manage_session)
AXIS2_EXTERN axis2_status_t | axis2_options_set_msg_info_headers (axis2_options_t *options, const axutil_env_t *env, axis2_msg_info_headers_t *msg_info_headers)
AXIS2_EXTERN axis2_msg_info_headers_t * | axis2_options_get_msg_info_headers (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN int | axis2_options_get_soap_version (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_options_set_soap_version (axis2_options_t *options, const axutil_env_t *env, const int soap_version)
AXIS2_EXTERN axis2_status_t | axis2_options_set_enable_mtom (axis2_options_t *options, const axutil_env_t *env, axis2_bool_t enable_mtom)
AXIS2_EXTERN axis2_bool_t | axis2_options_get_enable_mtom (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN axutil_string_t * | axis2_options_get_soap_action (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_options_set_soap_action (axis2_options_t *options, const axutil_env_t *env, axutil_string_t *soap_action)
AXIS2_EXTERN axis2_status_t | axis2_options_set_xml_parser_reset (axis2_options_t *options, const axutil_env_t *env, const axis2_bool_t paser_reset_flag)
AXIS2_EXTERN axis2_bool_t | axis2_options_get_xml_parser_reset (const axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_options_free (axis2_options_t *options, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_options_set_enable_rest (axis2_options_t *options, const axutil_env_t *env, const axis2_bool_t enable_rest)
AXIS2_EXTERN axis2_status_t | axis2_options_set_test_http_auth (axis2_options_t *options, const axutil_env_t *env, const axis2_bool_t test_http_auth)
AXIS2_EXTERN axis2_status_t | axis2_options_set_test_proxy_auth (axis2_options_t *options, const axutil_env_t *env, const axis2_bool_t test_proxy_auth)
AXIS2_EXTERN axis2_status_t | axis2_options_set_http_method (axis2_options_t *options, const axutil_env_t *env, const axis2_char_t *http_method)
AXIS2_EXTERN axis2_status_t | axis2_options_set_http_headers (axis2_options_t *options, const axutil_env_t *env, axutil_array_list_t *http_header_list)
AXIS2_EXTERN axis2_options_t * | axis2_options_create (const axutil_env_t *env)
AXIS2_EXTERN axis2_options_t * | axis2_options_create_with_parent (const axutil_env_t *env, axis2_options_t *parent)
AXIS2_EXTERN axis2_status_t | axis2_options_set_http_auth_info (axis2_options_t *options, const axutil_env_t *env, const axis2_char_t *username, const axis2_char_t *password, const axis2_char_t *auth_type)
AXIS2_EXTERN axis2_status_t | axis2_options_set_proxy_auth_info (axis2_options_t *options, const axutil_env_t *env, const axis2_char_t *username, const axis2_char_t *password, const axis2_char_t *auth_type)

## Detailed Description

The options struct holds user options to be used by client when invocation services. In addition to the end point reference information, options struct also hold addressing, transport and timeout related information. User specific properties could also set on top of options.

## Define Documentation

#define AXIS2_COPY_PROPERTIES "copy_properties"

Copy properties

#define AXIS2_DEFAULT_TIMEOUT_MILLISECONDS 30000

Default timeout

#define AXIS2_TIMEOUT_IN_SECONDS "time_out"

Timeout in seconds waiting for a response envelope

## Typedef Documentation

typedef struct axis2_options axis2_options_t

Type name for struct axis2_options

## Function Documentation

AXIS2_EXTERN axis2_status_t axis2_options_add_reference_parameter | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | axiom_node_t * | reference_parameter |
| ) |  |  |

Adds a WSA reference parameter.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | reference_parameter | pointer to reference parameter in the form of an AXIOM tree. options takes over the ownership of the struct.

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_options_t* axis2_options_create | ( | const axutil_env_t * | env | ) |

Creates the options struct.

Parameters:

  | env | pointer to environment struct

Returns:
  a pointer to newly created options struct, or NULL on error with error code set in environment's error.

AXIS2_EXTERN axis2_options_t* axis2_options_create_with_parent | ( | const axutil_env_t * | env,
|  | axis2_options_t * | parent |
| ) |  |  |

Creates the options struct with given parent.

Parameters:

  | env | pointer to environment struct
  | parent | pointer to parent struct

Returns:
  a pointer to newly created options struct. Newly created options assumes ownership of the parent or NULL on error with error code set in environment's error.

AXIS2_EXTERN void axis2_options_free | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees options struct.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  void

AXIS2_EXTERN const axis2_char_t* axis2_options_get_action | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets Web Services Addressing (WSA) action.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  WSA action string if set, else NULL

AXIS2_EXTERN axis2_bool_t axis2_options_get_enable_mtom | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets Enable/disable MTOM status.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if MTOM enabled, else AXIS2_FALSE

AXIS2_EXTERN axis2_endpoint_ref_t* axis2_options_get_fault_to | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets WSA fault to address.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  pointer to endpoint reference struct representing fault to address if set, else NULL

AXIS2_EXTERN axis2_endpoint_ref_t* axis2_options_get_from | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets WSA from address.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  pointer to endpoint reference struct representing from address if set, else NULL

AXIS2_EXTERN axis2_bool_t axis2_options_get_manage_session | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets manage session bool value.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if session is managed, else AXIS2_FALSE

AXIS2_EXTERN const axis2_char_t* axis2_options_get_message_id | ( | const axis2_options_t * | options_t,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets message ID.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  pointer to message ID string if set, else NULL

AXIS2_EXTERN axis2_msg_info_headers_t* axis2_options_get_msg_info_headers | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets WSA message information headers.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  pointer to message information headers struct if set, else NULL

AXIS2_EXTERN axis2_options_t* axis2_options_get_parent | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the parent options.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  pointer to the parent options struct if set, else NULL

AXIS2_EXTERN axutil_hash_t* axis2_options_get_properties | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the properties hash map.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  pointer to properties hash map if set, else NULL

AXIS2_EXTERN void* axis2_options_get_property | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | key |
| ) |  |  |

Gets a property corresponding to the given key.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | key | key of the property to be returned

Returns:
  value corresponding to the given key

AXIS2_EXTERN axis2_relates_to_t* axis2_options_get_relates_to | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets relates to information.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  pointer to relates to struct if set, else NULL

AXIS2_EXTERN axis2_endpoint_ref_t* axis2_options_get_reply_to | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets WSA reply to address.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  pointer to endpoint reference struct representing reply to address if set, else NULL

AXIS2_EXTERN AXIS2_TRANSPORT_ENUMS axis2_options_get_sender_transport_protocol | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets transport out protocol.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  pointer to transport out protocol string if set, else NULL

AXIS2_EXTERN axutil_string_t* axis2_options_get_soap_action | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets SOAP action.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  SOAP Action string if set, else NULL

AXIS2_EXTERN int axis2_options_get_soap_version | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets SOAP version.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  AXIOM_SOAP11 if SOAP version 1.1 is in use, else AXIOM_SOAP12

AXIS2_EXTERN const axis2_char_t* axis2_options_get_soap_version_uri | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets SOAP version URI.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  string representing SOAP version URI

AXIS2_EXTERN long axis2_options_get_timeout_in_milli_seconds | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the wait time after which a client times out in a blocking scenario. The default is AXIS2_DEFAULT_TIMEOUT_MILLISECONDS.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  timeout in milliseconds

AXIS2_EXTERN axis2_endpoint_ref_t* axis2_options_get_to | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets WSA to address.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  pointer to endpoint reference struct representing to address if set, else NULL

AXIS2_EXTERN axis2_transport_in_desc_t* axis2_options_get_transport_in | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets transport in.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  pointer to transport in struct if set, else NULL

AXIS2_EXTERN AXIS2_TRANSPORT_ENUMS axis2_options_get_transport_in_protocol | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets transport in protocol.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  pointer to transport in protocol string if set, else NULL

AXIS2_EXTERN axis2_transport_out_desc_t* axis2_options_get_transport_out | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets transport out.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  pointer to transport out struct if set, else NULL

AXIS2_EXTERN axis2_transport_receiver_t* axis2_options_get_transport_receiver | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets transport receiver.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  pointer to transport receiver struct if set, else NULL

AXIS2_EXTERN axis2_bool_t axis2_options_get_use_separate_listener | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets use separate listener status.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if using separate listener, else AXIS2_FALSE

AXIS2_EXTERN axis2_bool_t axis2_options_get_xml_parser_reset | ( | const axis2_options_t * | options,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets xml parser reset value,

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct

Returns:
  xml parser reset boolean value

AXIS2_EXTERN axis2_status_t axis2_options_set_action | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | action |
| ) |  |  |

Sets WSA action

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | action | pointer to action string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_enable_mtom | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | axis2_bool_t | enable_mtom |
| ) |  |  |

Enable/disable MTOM handling.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | enable_mtom | AXIS2_TRUE if MTOM is to be enabled, AXIS2_FALSE

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_enable_rest | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | enable_rest |
| ) |  |  |

Sets the bool value indicating whether to enable REST or not.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | enable_rest | bool value indicating whether to enable REST or not, AXIS2_TRUE to enable, AXIS2_FALSE to disable

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_fault_to | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | axis2_endpoint_ref_t * | fault_to |
| ) |  |  |

Sets fault to address.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | fault_to | pointer to endpoint reference struct representing fault to address. options takes over the ownership of the struct.

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_from | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | axis2_endpoint_ref_t * | from |
| ) |  |  |

Sets from address.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | from | pointer to endpoint reference struct representing from to address. options takes over the ownership of the struct.

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_http_auth_info | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | username,
|  | const axis2_char_t * | password,
|  | const axis2_char_t * | auth_type |
| ) |  |  |

Sets HTTP authentication information.

Parameters:

  | env | pointer to environment struct
  | parent | pointer to parent struct
  | username | string representing username
  | password | string representing password
  | auth_type | use "Basic" to force basic authentication and "Digest" to force digest authentication or NULL for not forcing authentication

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_http_headers | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | axutil_array_list_t * | http_header_list |
| ) |  |  |

Sets the Additional HTTP Headers to be sent.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | http_header_list | array list containing HTTP Headers.

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_http_method | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | http_method |
| ) |  |  |

Sets the HTTP method to be used

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | http_method | string representing HTTP method to use, can be either AXIS2_HTTP_GET or AXIS2_HTTP_POST

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_manage_session | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | manage_session |
| ) |  |  |

Sets manage session bool value.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | manage_session | manage session bool value

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_message_id | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | message_id |
| ) |  |  |

Sets message ID.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | message_id | pointer to message_id struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_msg_info_headers | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | axis2_msg_info_headers_t * | msg_info_headers |
| ) |  |  |

Sets WSA message information headers.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | pointer | to message information headers struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_parent | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const axis2_options_t * | parent |
| ) |  |  |

Sets the parent options.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | parent | pointer to parent options struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_properties | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | axutil_hash_t * | properties |
| ) |  |  |

Sets the properties hash map.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | properties | pointer to properties hash map. options takes over the ownership of the hash struct.

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_property | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | property_key,
|  | const void * | property |
| ) |  |  |

Sets a property with the given key value.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | property_key | property key string
  | property | pointer to property to be set

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_proxy_auth_info | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | username,
|  | const axis2_char_t * | password,
|  | const axis2_char_t * | auth_type |
| ) |  |  |

Sets proxy authentication information.

Parameters:

  | env | pointer to environment struct
  | parent | pointer to parent struct
  | username | string representing username
  | password | string representing password
  | auth_type | use "Basic" to force basic authentication and "Digest" to force digest authentication or NULL for not forcing authentication

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_relates_to | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | axis2_relates_to_t * | relates_to |
| ) |  |  |

Sets relates to.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | relates_to | pointer to relates_to struct. options takes over the ownership of the struct.

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_reply_to | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | axis2_endpoint_ref_t * | reply_to |
| ) |  |  |

Sets reply to address.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | reply_to | pointer to endpoint reference struct representing reply to address. options takes over the ownership of the struct.

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_sender_transport | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const AXIS2_TRANSPORT_ENUMS | sender_transport,
|  | axis2_conf_t * | conf |
| ) |  |  |

Sets the sender transport.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | sender_transport | name of the sender transport to be set
  | conf | pointer to conf struct, it is from the conf that the transport is picked with the given name

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_soap_action | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | axutil_string_t * | soap_action |
| ) |  |  |

Sets SOAP action

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | action | pointer to SOAP action string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_soap_version | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const int | soap_version |
| ) |  |  |

Sets SOAP version.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | soap_version | soap version, either AXIOM_SOAP11 or AXIOM_SOAP12

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_soap_version_uri | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | soap_version_uri |
| ) |  |  |

Sets the SOAP version URI.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | soap_version_uri | URI of the SOAP version to be set, can be either AXIOM_SOAP11_SOAP_ENVELOPE_NAMESPACE_URI or AXIOM_SOAP12_SOAP_ENVELOPE_NAMESPACE_URI

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_test_http_auth | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | test_http_auth |
| ) |  |  |

Sets the bool value indicating whether to test whether HTTP Authentication is required or not.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | test_http_auth | bool value indicating whether to test or not, AXIS2_TRUE to enable, AXIS2_FALSE to disable

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_test_proxy_auth | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | test_proxy_auth |
| ) |  |  |

Sets the bool value indicating whether to test whether Proxy Authentication is required or not.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | test_proxy_auth | bool value indicating whether to test or not, AXIS2_TRUE to enable, AXIS2_FALSE to disable

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_timeout_in_milli_seconds | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const long | timeout_in_milli_seconds |
| ) |  |  |

Sets timeout in Milli seconds.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | timeout_in_milli_seconds | timeout in milli seconds

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_to | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | axis2_endpoint_ref_t * | to |
| ) |  |  |

sets from address.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | to | pointer to endpoint reference struct representing to address. Options takes over the ownership of the struct.

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_transport_in | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | axis2_transport_in_desc_t * | transport_in |
| ) |  |  |

Sets transport in description.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | transport_in | pointer to transport_in struct. options takes over the ownership of the struct.

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_transport_in_protocol | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const AXIS2_TRANSPORT_ENUMS | transport_in_protocol |
| ) |  |  |

Sets transport in protocol.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | in_protocol | pointer to in_protocol struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_transport_info | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const AXIS2_TRANSPORT_ENUMS | sender_transport,
|  | const AXIS2_TRANSPORT_ENUMS | receiver_transport,
|  | const axis2_bool_t | use_separate_listener |
| ) |  |  |

Sets transport information. Transport information includes the name of the sender transport, name of the receiver transport and if a separate listener to be used to receive response.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | sender_transport | name of sender transport to be used
  | receiver_transport | name of receiver transport to be used
  | use_separate_listener | bool value indicating whether to use a separate listener or not.

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_transport_out | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | axis2_transport_out_desc_t * | transport_out |
| ) |  |  |

Sets the transport out description.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | transport_out | pointer to transport out description struct. options takes over the ownership of the struct.

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_transport_receiver | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | axis2_transport_receiver_t * | receiver |
| ) |  |  |

Sets transport receiver.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | receiver | pointer to transport receiver struct. options takes over the ownership of the struct.

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_use_separate_listener | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | use_separate_listener |
| ) |  |  |

Sets the bool value indicating whether to use a separate listener or not.

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | use_separate_listener | bool value indicating whether to use a separate listener or not.

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_options_set_xml_parser_reset | ( | axis2_options_t * | options,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | paser_reset_flag |
| ) |  |  |

Sets xml parser reset

Parameters:

  | options | pointer to options struct
  | env | pointer to environment struct
  | reset | flag is a boolean value

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE